#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Local and remote ZeroConf service discovery for hardware resources
Summary(pl.UTF-8):	Lokalne i zdalne wykrywanie usług ZeroConf dla zasobów sprzętowych
Name:		hwsd
Version:	2.0.1
Release:	10
License:	LGPL v2.1 (library), GPL v3+ (applications)
Group:		Libraries
#Source0Download: https://github.com/Eyescale/hwsd/releases
Source0:	https://github.com/Eyescale/hwsd/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d2285a1d878a12905fe9a062bc158aae
Patch0:		servus.patch
Patch1:		%{name}-Werror.patch
URL:		https://github.com/Eyescale/hwsd/
BuildRequires:	Eyescale-CMake
BuildRequires:	Lunchbox-devel >= 1.10
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Servus-devel
# just to satisfy cmake projects stupidity (FIXME)
BuildRequires:	Servus-qt-devel
BuildRequires:	boost-devel >= 1.41.0
BuildRequires:	cmake >= 3.1
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel
BuildRequires:	libstdc++-devel >= 6:4.2
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
Requires:	Lunchbox >= 1.10
Requires:	QtNetwork >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HW-SD is a library and daemon for the discovery and announcement of
hardware resources using ZeroConf. It enables auto-configuration of
ad-hoc GPU clusters and multi-GPU machines.

%description -l pl.UTF-8
HW-SD to biblioteka i demon do wyszukiwania i rozgłaszania zasobów
sprzętowych przy użyciu ZeroConfa. Pozwala na automatyczną
konfigurację ad-hocowych klastrów GPU i maszyn o wielu GPU.

%package devel
Summary:	Header files for HW-SD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HW-SD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Lunchbox-devel >= 1.10
Requires:	Servus-devel
Requires:	libstdc++-devel

%description devel
Header files for HW-SD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HW-SD.

%package apidocs
Summary:	HW-SD API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki HW-SD
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for HW-SD library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki HW-SD.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rmdir CMake/common
ln -s %{_datadir}/Eyescale-CMake CMake/common

%build
install -d build
cd build
%cmake ..

%{__make}

%if %{with apidocs}
doxygen doc/Doxyfile
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/hwsd/doc

install -d $RPM_BUILD_ROOT%{_examplesdir}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/hwsd/examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md doc/Changelog.md
%attr(755,root,root) %{_bindir}/hw_sd
%attr(755,root,root) %{_bindir}/hw_sd_list
%attr(755,root,root) %{_libdir}/libhwsd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhwsd.so.4
%attr(755,root,root) %{_libdir}/libhwsd_gpu_glx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhwsd_gpu_glx.so.4
%attr(755,root,root) %{_libdir}/libhwsd_gpu_dns_sd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhwsd_gpu_dns_sd.so.4
%attr(755,root,root) %{_libdir}/libhwsd_net_sys.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhwsd_net_sys.so.4
%attr(755,root,root) %{_libdir}/libhwsd_net_dns_sd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhwsd_net_dns_sd.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhwsd.so
%attr(755,root,root) %{_libdir}/libhwsd_gpu_glx.so
%attr(755,root,root) %{_libdir}/libhwsd_gpu_dns_sd.so
%attr(755,root,root) %{_libdir}/libhwsd_net_sys.so
%attr(755,root,root) %{_libdir}/libhwsd_net_dns_sd.so
%{_includedir}/hwsd
%dir %{_datadir}/hwsd
%{_datadir}/hwsd/CMake
%{_examplesdir}/%{name}-%{version}

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/doc/html/*
%endif
%changelog
* Wed Dec 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hwsd.git;a=log;h=master

* Wed Dec 25 2024 Jan Rękorajski <baggins@pld-linux.org> dfadf18
- boost 1.85 rebuild

* Sun Dec 15 2024 Jan Rękorajski <baggins@pld-linux.org> 3cc47f3
- boost rebuild

* Sun Jul 02 2023 Jan Palus <atler@pld-linux.org> c0f1ac5
- boost rebuild

* Sun Feb 19 2023 Jan Palus <atler@pld-linux.org> ea61606
- boost rebuild

* Tue Jun 07 2022 Jan Palus <atler@pld-linux.org> 4c0994d
- boost rebuild

* Sun Jan 16 2022 Jan Palus <atler@pld-linux.org> e242b2a
- boost rebuild

* Wed Aug 11 2021 Jan Palus <atler@pld-linux.org> 32ef39a
- boost rebuild

* Wed Aug 11 2021 Jan Palus <atler@pld-linux.org> 613c4b3
- rediff patch

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 1538db3
- unconditional noarch subpackages

* Sat Aug 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 32b219f
- added Werror patch (disable stringop-truncation warning on valid use of strncpy); release 3 (boost 1.73)

* Wed Oct 09 2019 Adam Gołębiowski <adamg@pld-linux.org> bafa3cc
- release 2, rebuild against boost-1.71

* Sun May 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 3a99de8
- updated to 2.0.1

* Sat May 04 2019 Jan Rękorajski <baggins@pld-linux.org> 2149c28
- release 2 (by relup.sh)

* Fri Apr 14 2017 Jan Rękorajski <baggins@pld-linux.org> cded53b
- up to 2.0.0

* Sun Jun 26 2016 Elan Ruusamäe <glen@delfi.ee> 4919589
- noarch apidocs

* Sat May 28 2016 Jan Rękorajski <baggins@pld-linux.org> 6de1cb5
- release 2 (by relup.sh)

* Sat May 28 2016 Jan Rękorajski <baggins@pld-linux.org> 0fbf7f7
- up to 1.3.0

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> c5f2196
- release 4 (by relup.sh)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> b97f469
- release 3 (by relup.sh)

* Wed Feb 18 2015 Jan Rękorajski <baggins@pld-linux.org> 75c7011
- rebuild with boost 1.57.0
- release 2 (by relup.sh)

